%define name libogg
%define version	1.0
%define release 6mdk
%define theirversion 1.0
%define lib_name %mklibname ogg 0

Name: %{name}
Summary: Ogg Bitstream Library
Version: %{version}
Release: %{release}
Group: System/Libraries
License: BSD
URL: http://www.xiph.org/
Source:	http://www.vorbis.com/files/rc1/unix/%{name}-%{theirversion}.tar.bz2
Patch0: libogg-fix-optflags.patch.bz2
Patch1: libogg-1.0-lib64.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: libogg-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-%{theirversion}
%patch0 -p0
%patch1 -p1 -b .lib64

%build
autoconf
%configure --includedir=%{_includedir}/ogg
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall includedir=$RPM_BUILD_ROOT/%{_includedir}/ogg

%clean 
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/*.html doc/*.png

%dir %_docdir/libogg-1.0/
%doc %_docdir/libogg-1.0/*.html
%doc %_docdir/libogg-1.0/*.png
%dir %_docdir/libogg-1.0/ogg/
%doc %_docdir/libogg-1.0/ogg/*.html
%doc %_docdir/libogg-1.0/ogg/*.css
			



%{_includedir}/ogg
%{_libdir}/*.*a
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Mon Sep 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-6mdk
- use mklibname

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- rebuild for new devel provides

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- Rebuild

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- Patch1: lib64 fixes to ogg.m4

* Mon Jul 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-2mdk
- devel subpackage requires main package with same version/release,
  not just release

* Fri Jul 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-1mdk
- final 1.0!

* Fri Jan 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc3.1mdk
- new version

* Thu Dec 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.3mdk
- provide .la file in devel package (thx Goetz Waschk)

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.2mdk
- fix obsolete-tag Copyright
- fix strange-permission 

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc2.1mdk
- version 1.0rc2

* Sat Jun 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.rc1.1mdk
- version 1.0rc1

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta 4 release
- fix provides
- now under BSD license

* Mon Dec 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.2mdk
- fixes optflags

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-0.beta3.1mdk
- Package for Linux-Mandrake

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
